In a Debian 12 / mipsel VM (which is a bit slow, due to the QEMU emulation),
I see two test failures:

FAIL: tests/env/env-signal-handler.sh
FAIL: tests/sort/sort-NaN-infloop.sh

Find attached the test-suite.log file.

==========================================================
   GNU coreutils 9.11.274-7f973: ./tests/test-suite.log
==========================================================

# TOTAL: 760
# PASS:  590
# SKIP:  168
# XFAIL: 0
# FAIL:  2
# XPASS: 0
# ERROR: 0

System information (uname -a): Linux 6.1.0-10-4kc-malta #1 SMP Debian 6.1.37-1 (2023-07-03) mips
Distribution information (/etc/os-release):
PRETTY_NAME="Debian GNU/Linux 12 (bookworm)"
NAME="Debian GNU/Linux"
VERSION_ID="12"
VERSION="12 (bookworm)"
VERSION_CODENAME=bookworm
ID=debian
HOME_URL="https://www.debian.org/";
SUPPORT_URL="https://www.debian.org/support";

.. contents:: :depth: 2

FAIL: tests/env/env-signal-handler
==================================

++ initial_cwd_=/home/bruno/coreutils-9.11.274-7f973/build
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/bruno/coreutils-9.11.274-7f973/build gt-env-signal-handler.sh.XXXX
+++ case $# in
+++ destdir_=/home/bruno/coreutils-9.11.274-7f973/build
+++ template_=gt-env-signal-handler.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/home/bruno/coreutils-9.11.274-7f973/build/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/bruno/coreutils-9.11.274-7f973/build/gt-env-signal-handler.sh.L5aX
+++ case $d in
+++ :
+++ test -d /home/bruno/coreutils-9.11.274-7f973/build/gt-env-signal-handler.sh.L5aX
++++ ls -dgo /home/bruno/coreutils-9.11.274-7f973/build/gt-env-signal-handler.sh.L5aX
+++ perms='drwx------ 2 4096 Sep 10 08:42 /home/bruno/coreutils-9.11.274-7f973/build/gt-env-signal-handler.sh.L5aX'
+++ case $perms in
+++ :
+++ echo /home/bruno/coreutils-9.11.274-7f973/build/gt-env-signal-handler.sh.L5aX
+++ return
++ test_dir_=/home/bruno/coreutils-9.11.274-7f973/build/gt-env-signal-handler.sh.L5aX
++ cd /home/bruno/coreutils-9.11.274-7f973/build/gt-env-signal-handler.sh.L5aX
++ case $srcdir in
++ srcdir=../..
++ builddir=..
++ export srcdir builddir
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ saved_IFS=' 	
'
++ IFS=:
++ new_PATH=
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /home/bruno/coreutils-9.11.274-7f973/build/src/.
++ new_PATH=/home/bruno/coreutils-9.11.274-7f973/build/src
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /home/bruno/bin/.
++ new_PATH=/home/bruno/coreutils-9.11.274-7f973/build/src:/home/bruno/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/local/bin/.
++ new_PATH=/home/bruno/coreutils-9.11.274-7f973/build/src:/home/bruno/bin:/usr/local/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/bin/.
++ new_PATH=/home/bruno/coreutils-9.11.274-7f973/build/src:/home/bruno/bin:/usr/local/bin:/usr/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /bin/.
++ new_PATH=/home/bruno/coreutils-9.11.274-7f973/build/src:/home/bruno/bin:/usr/local/bin:/usr/bin:/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/local/games/.
++ new_PATH=/home/bruno/coreutils-9.11.274-7f973/build/src:/home/bruno/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/games/.
++ new_PATH=/home/bruno/coreutils-9.11.274-7f973/build/src:/home/bruno/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sbin/.
++ new_PATH=/home/bruno/coreutils-9.11.274-7f973/build/src:/home/bruno/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/sbin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/sbin/.
++ new_PATH=/home/bruno/coreutils-9.11.274-7f973/build/src:/home/bruno/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/sbin:/usr/sbin
++ IFS=' 	
'
++ PATH=/home/bruno/coreutils-9.11.274-7f973/build/src:/home/bruno/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/sbin:/usr/sbin
++ export PATH
++ trap remove_tmp_ EXIT
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/home/bruno/coreutils-9.11.274-7f973/build/./src
+ case $abs_path_dir_ in
+ PATH=/home/bruno/coreutils-9.11.274-7f973/build/./src:/home/bruno/coreutils-9.11.274-7f973/build/src:/home/bruno/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/sbin:/usr/sbin
+ create_exe_shims_ /home/bruno/coreutils-9.11.274-7f973/build/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ env seq test timeout printf
+ require_built_ env seq test timeout printf
+ skip_=no
+ for i in "$@"
+ case " $built_programs " in
+ for i in "$@"
+ case " $built_programs " in
+ for i in "$@"
+ case " $built_programs " in
+ for i in "$@"
+ case " $built_programs " in
+ for i in "$@"
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in $*
+ env env --version
env (GNU coreutils) 9.11.274-7f973
Copyright (C) 2026 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Richard Mlynarik, David MacKenzie, and Assaf Gordon.
+ for i in $*
+ env seq --version
seq (GNU coreutils) 9.11.274-7f973
Copyright (C) 2026 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Ulrich Drepper.
+ for i in $*
+ env test --version
+ for i in $*
+ env timeout --version
timeout (GNU coreutils) 9.11.274-7f973
Copyright (C) 2026 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Padraig Brady.
+ for i in $*
+ env printf --version
printf (GNU coreutils) 9.11.274-7f973
Copyright (C) 2026 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ trap_sigpipe_or_skip_
+ timeout 1 true
+ grep 'Broken pipe'
+ require_bash_as_SHELL_
+ bash --version
+ SHELL=bash
+ trap '' PIPE
+ bash -c 'trap - PIPE; seq 999999 2>err1t | head -n1 > out1'
+ sed 's/^\(seq: write error:\) .*/\1/' err1t
+ printf '1\n'
+ printf 'seq: write error:\n'
+ compare exp-out out1
+ compare_dev_null_ exp-out out1
+ test 2 = 2
+ test xexp-out = x/dev/null
+ test xout1 = x/dev/null
+ return 2
+ case $? in
+ compare_ exp-out out1
+ LC_ALL=C
+ diff -u exp-out out1
+ compare exp-err1 err1
+ compare_dev_null_ exp-err1 err1
+ test 2 = 2
+ test xexp-err1 = x/dev/null
+ test xerr1 = x/dev/null
+ return 2
+ case $? in
+ compare_ exp-err1 err1
+ LC_ALL=C
+ diff -u exp-err1 err1
+ trap '' PIPE
+ env --default-signal=PIPE bash -c 'trap - PIPE; seq 999999 2>err2 | head -n1 > out2'
+ compare exp-out out2
+ compare_dev_null_ exp-out out2
+ test 2 = 2
+ test xexp-out = x/dev/null
+ test xout2 = x/dev/null
+ return 2
+ case $? in
+ compare_ exp-out out2
+ LC_ALL=C
+ diff -u exp-out out2
+ compare /dev/null err2
+ compare_dev_null_ /dev/null err2
+ test 2 = 2
+ test x/dev/null = x/dev/null
+ test -s err2
+ return 0
+ return 0
+ trap '' PIPE
+ env --default-signal bash -c 'trap - PIPE; seq 999999 2>err4 | head -n1 > out4'
+ compare exp-out out4
+ compare_dev_null_ exp-out out4
+ test 2 = 2
+ test xexp-out = x/dev/null
+ test xout4 = x/dev/null
+ return 2
+ case $? in
+ compare_ exp-out out4
+ LC_ALL=C
+ diff -u exp-out out4
+ compare /dev/null err4
+ compare_dev_null_ /dev/null err4
+ test 2 = 2
+ test x/dev/null = x/dev/null
+ test -s err4
+ return 0
+ return 0
+ env --block-signal true
+ cat
+ timeout_sig=INT
+ env_opt=
+ retry_delay_ env_ignore_delay_ .1 6
+ local test_func=env_ignore_delay_
+ local init_delay=.1
+ local max_n_tries=6
+ shift 3
+ local attempt=1
+ local num_sleeps=1
+ local time_miss
+ test 1 -le 6
++ mawk -v n=1 -v s=.1 'BEGIN { print s * n }'
+ local delay=0.1
+ env_ignore_delay_ 0.1
+ local delay=0.1
+ env timeout --verbose --kill-after=.1 --signal=INT 0.1 env sleep 10
+ sed -n 1,2p outt
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ LC_ALL=C
+ diff -u exp out
+ time_miss=0
+ break
+ test 0 = 0
+ cat
+ timeout_sig=INT
+ env_opt=--ignore-signal=INT
+ retry_delay_ env_ignore_delay_ .1 6
+ local test_func=env_ignore_delay_
+ local init_delay=.1
+ local max_n_tries=6
+ shift 3
+ local attempt=1
+ local num_sleeps=1
+ local time_miss
+ test 1 -le 6
++ mawk -v n=1 -v s=.1 'BEGIN { print s * n }'
+ local delay=0.1
+ env_ignore_delay_ 0.1
+ local delay=0.1
+ env timeout --verbose --kill-after=.1 --signal=INT 0.1 env --ignore-signal=INT sleep 10
../tests/env/env-signal-handler.sh: line 88:  9083 Killed                  env timeout --verbose --kill-after=.1 --signal=$timeout_sig $delay env $env_opt sleep 10 > /dev/null 2> outt
+ sed -n 1,2p outt
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ LC_ALL=C
+ diff -u exp out
+ time_miss=0
+ break
+ test 0 = 0
+ timeout_sig=INT
+ env_opt=--ignore-signal
+ retry_delay_ env_ignore_delay_ .1 6
+ local test_func=env_ignore_delay_
+ local init_delay=.1
+ local max_n_tries=6
+ shift 3
+ local attempt=1
+ local num_sleeps=1
+ local time_miss
+ test 1 -le 6
++ mawk -v n=1 -v s=.1 'BEGIN { print s * n }'
+ local delay=0.1
+ env_ignore_delay_ 0.1
+ local delay=0.1
+ env timeout --verbose --kill-after=.1 --signal=INT 0.1 env --ignore-signal sleep 10
../tests/env/env-signal-handler.sh: line 88:  9088 Killed                  env timeout --verbose --kill-after=.1 --signal=$timeout_sig $delay env $env_opt sleep 10 > /dev/null 2> outt
+ sed -n 1,2p outt
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ LC_ALL=C
+ diff -u exp out
+ time_miss=0
+ break
+ test 0 = 0
+ cat
+ timeout_sig=PIPE
+ env_opt=--ignore-signal=PIPE
+ retry_delay_ env_ignore_delay_ .1 6
+ local test_func=env_ignore_delay_
+ local init_delay=.1
+ local max_n_tries=6
+ shift 3
+ local attempt=1
+ local num_sleeps=1
+ local time_miss
+ test 1 -le 6
++ mawk -v n=1 -v s=.1 'BEGIN { print s * n }'
+ local delay=0.1
+ env_ignore_delay_ 0.1
+ local delay=0.1
+ env timeout --verbose --kill-after=.1 --signal=PIPE 0.1 env --ignore-signal=PIPE sleep 10
../tests/env/env-signal-handler.sh: line 88:  9094 Killed                  env timeout --verbose --kill-after=.1 --signal=$timeout_sig $delay env $env_opt sleep 10 > /dev/null 2> outt
+ sed -n 1,2p outt
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ LC_ALL=C
+ diff -u exp out
+ time_miss=0
+ break
+ test 0 = 0
+ kill -l RTMIN RTMAX
34
127
+ for sig in RTMIN RTMAX
+ cat
+ timeout_sig=RTMIN
+ env_opt=
+ retry_delay_ env_ignore_delay_ .1 6
+ local test_func=env_ignore_delay_
+ local init_delay=.1
+ local max_n_tries=6
+ shift 3
+ local attempt=1
+ local num_sleeps=1
+ local time_miss
+ test 1 -le 6
++ mawk -v n=1 -v s=.1 'BEGIN { print s * n }'
+ local delay=0.1
+ env_ignore_delay_ 0.1
+ local delay=0.1
+ env timeout --verbose --kill-after=.1 --signal=RTMIN 0.1 env sleep 10
+ sed -n 1,2p outt
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ LC_ALL=C
+ diff -u exp out
+ time_miss=0
+ break
+ test 0 = 0
+ cat
+ timeout_sig=RTMIN
+ env_opt=--ignore-signal=RTMIN
+ retry_delay_ env_ignore_delay_ .1 6
+ local test_func=env_ignore_delay_
+ local init_delay=.1
+ local max_n_tries=6
+ shift 3
+ local attempt=1
+ local num_sleeps=1
+ local time_miss
+ test 1 -le 6
++ mawk -v n=1 -v s=.1 'BEGIN { print s * n }'
+ local delay=0.1
+ env_ignore_delay_ 0.1
+ local delay=0.1
+ env timeout --verbose --kill-after=.1 --signal=RTMIN 0.1 env --ignore-signal=RTMIN sleep 10
../tests/env/env-signal-handler.sh: line 88:  9106 Killed                  env timeout --verbose --kill-after=.1 --signal=$timeout_sig $delay env $env_opt sleep 10 > /dev/null 2> outt
+ sed -n 1,2p outt
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ LC_ALL=C
+ diff -u exp out
+ time_miss=0
+ break
+ test 0 = 0
+ timeout_sig=RTMIN
+ env_opt=--ignore-signal
+ retry_delay_ env_ignore_delay_ .1 6
+ local test_func=env_ignore_delay_
+ local init_delay=.1
+ local max_n_tries=6
+ shift 3
+ local attempt=1
+ local num_sleeps=1
+ local time_miss
+ test 1 -le 6
++ mawk -v n=1 -v s=.1 'BEGIN { print s * n }'
+ local delay=0.1
+ env_ignore_delay_ 0.1
+ local delay=0.1
+ env timeout --verbose --kill-after=.1 --signal=RTMIN 0.1 env --ignore-signal sleep 10
../tests/env/env-signal-handler.sh: line 88:  9111 Killed                  env timeout --verbose --kill-after=.1 --signal=$timeout_sig $delay env $env_opt sleep 10 > /dev/null 2> outt
+ sed -n 1,2p outt
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ LC_ALL=C
+ diff -u exp out
+ time_miss=0
+ break
+ test 0 = 0
+ for sig in RTMIN RTMAX
+ cat
+ timeout_sig=RTMAX
+ env_opt=
+ retry_delay_ env_ignore_delay_ .1 6
+ local test_func=env_ignore_delay_
+ local init_delay=.1
+ local max_n_tries=6
+ shift 3
+ local attempt=1
+ local num_sleeps=1
+ local time_miss
+ test 1 -le 6
++ mawk -v n=1 -v s=.1 'BEGIN { print s * n }'
+ local delay=0.1
+ env_ignore_delay_ 0.1
+ local delay=0.1
+ env timeout --verbose --kill-after=.1 --signal=RTMAX 0.1 env sleep 10
+ sed -n 1,2p outt
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ LC_ALL=C
+ diff -u exp out
--- exp	2026-09-10 08:42:38.317210154 +0200
+++ out	2026-09-10 08:42:38.501212921 +0200
@@ -1 +1,2 @@
 timeout: sending signal RTMAX to command 'env'
+timeout: unknown status from command (127)
+ time_miss=1
++ expr 1 + 1
+ attempt=2
++ expr 1 '*' 2
+ num_sleeps=2
+ test 2 -le 6
++ mawk -v n=2 -v s=.1 'BEGIN { print s * n }'
+ local delay=0.2
+ env_ignore_delay_ 0.2
+ local delay=0.2
+ env timeout --verbose --kill-after=.1 --signal=RTMAX 0.2 env sleep 10
+ sed -n 1,2p outt
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ LC_ALL=C
+ diff -u exp out
--- exp	2026-09-10 08:42:38.317210154 +0200
+++ out	2026-09-10 08:42:38.865218395 +0200
@@ -1 +1,2 @@
 timeout: sending signal RTMAX to command 'env'
+timeout: unknown status from command (127)
+ time_miss=1
++ expr 2 + 1
+ attempt=3
++ expr 2 '*' 2
+ num_sleeps=4
+ test 3 -le 6
++ mawk -v n=4 -v s=.1 'BEGIN { print s * n }'
+ local delay=0.4
+ env_ignore_delay_ 0.4
+ local delay=0.4
+ env timeout --verbose --kill-after=.1 --signal=RTMAX 0.4 env sleep 10
+ sed -n 1,2p outt
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ LC_ALL=C
+ diff -u exp out
--- exp	2026-09-10 08:42:38.317210154 +0200
+++ out	2026-09-10 08:42:39.441227055 +0200
@@ -1 +1,2 @@
 timeout: sending signal RTMAX to command 'env'
+timeout: unknown status from command (127)
+ time_miss=1
++ expr 3 + 1
+ attempt=4
++ expr 4 '*' 2
+ num_sleeps=8
+ test 4 -le 6
++ mawk -v n=8 -v s=.1 'BEGIN { print s * n }'
+ local delay=0.8
+ env_ignore_delay_ 0.8
+ local delay=0.8
+ env timeout --verbose --kill-after=.1 --signal=RTMAX 0.8 env sleep 10
+ sed -n 1,2p outt
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ LC_ALL=C
+ diff -u exp out
--- exp	2026-09-10 08:42:38.317210154 +0200
+++ out	2026-09-10 08:42:40.393241367 +0200
@@ -1 +1,2 @@
 timeout: sending signal RTMAX to command 'env'
+timeout: unknown status from command (127)
+ time_miss=1
++ expr 4 + 1
+ attempt=5
++ expr 8 '*' 2
+ num_sleeps=16
+ test 5 -le 6
++ mawk -v n=16 -v s=.1 'BEGIN { print s * n }'
+ local delay=1.6
+ env_ignore_delay_ 1.6
+ local delay=1.6
+ env timeout --verbose --kill-after=.1 --signal=RTMAX 1.6 env sleep 10
+ sed -n 1,2p outt
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ LC_ALL=C
+ diff -u exp out
--- exp	2026-09-10 08:42:38.317210154 +0200
+++ out	2026-09-10 08:42:42.121267337 +0200
@@ -1 +1,2 @@
 timeout: sending signal RTMAX to command 'env'
+timeout: unknown status from command (127)
+ time_miss=1
++ expr 5 + 1
+ attempt=6
++ expr 16 '*' 2
+ num_sleeps=32
+ test 6 -le 6
++ mawk -v n=32 -v s=.1 'BEGIN { print s * n }'
+ local delay=3.2
+ env_ignore_delay_ 3.2
+ local delay=3.2
+ env timeout --verbose --kill-after=.1 --signal=RTMAX 3.2 env sleep 10
+ sed -n 1,2p outt
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ LC_ALL=C
+ diff -u exp out
--- exp	2026-09-10 08:42:38.317210154 +0200
+++ out	2026-09-10 08:42:45.453317387 +0200
@@ -1 +1,2 @@
 timeout: sending signal RTMAX to command 'env'
+timeout: unknown status from command (127)
+ time_miss=1
++ expr 6 + 1
+ attempt=7
++ expr 32 '*' 2
+ num_sleeps=64
+ test 7 -le 6
+ test 1 = 0
+ fail=1
+ cat
+ timeout_sig=RTMAX
+ env_opt=--ignore-signal=RTMAX
+ retry_delay_ env_ignore_delay_ .1 6
+ local test_func=env_ignore_delay_
+ local init_delay=.1
+ local max_n_tries=6
+ shift 3
+ local attempt=1
+ local num_sleeps=1
+ local time_miss
+ test 1 -le 6
++ mawk -v n=1 -v s=.1 'BEGIN { print s * n }'
+ local delay=0.1
+ env_ignore_delay_ 0.1
+ local delay=0.1
+ env timeout --verbose --kill-after=.1 --signal=RTMAX 0.1 env --ignore-signal=RTMAX sleep 10
../tests/env/env-signal-handler.sh: line 88:  9160 Killed                  env timeout --verbose --kill-after=.1 --signal=$timeout_sig $delay env $env_opt sleep 10 > /dev/null 2> outt
+ sed -n 1,2p outt
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ LC_ALL=C
+ diff -u exp out
+ time_miss=0
+ break
+ test 0 = 0
+ timeout_sig=RTMAX
+ env_opt=--ignore-signal
+ retry_delay_ env_ignore_delay_ .1 6
+ local test_func=env_ignore_delay_
+ local init_delay=.1
+ local max_n_tries=6
+ shift 3
+ local attempt=1
+ local num_sleeps=1
+ local time_miss
+ test 1 -le 6
++ mawk -v n=1 -v s=.1 'BEGIN { print s * n }'
+ local delay=0.1
+ env_ignore_delay_ 0.1
+ local delay=0.1
+ env timeout --verbose --kill-after=.1 --signal=RTMAX 0.1 env --ignore-signal sleep 10
../tests/env/env-signal-handler.sh: line 88:  9165 Killed                  env timeout --verbose --kill-after=.1 --signal=$timeout_sig $delay env $env_opt sleep 10 > /dev/null 2> outt
+ sed -n 1,2p outt
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ LC_ALL=C
+ diff -u exp out
+ time_miss=0
+ break
+ test 0 = 0
+ for sig in INT PIPE
+ env --default-signal --ignore-signal=INT --list-signal-handling true
+ sed 's/ *(.*)//' err8t
+ env printf '%s: IGNORE\n' INT
+ compare exp-err8 err8
+ compare_dev_null_ exp-err8 err8
+ test 2 = 2
+ test xexp-err8 = x/dev/null
+ test xerr8 = x/dev/null
+ return 2
+ case $? in
+ compare_ exp-err8 err8
+ LC_ALL=C
+ diff -u exp-err8 err8
+ for sig in INT PIPE
+ env --default-signal --ignore-signal=PIPE --list-signal-handling true
+ sed 's/ *(.*)//' err8t
+ env printf '%s: IGNORE\n' PIPE
+ compare exp-err8 err8
+ compare_dev_null_ exp-err8 err8
+ test 2 = 2
+ test xexp-err8 = x/dev/null
+ test xerr8 = x/dev/null
+ return 2
+ case $? in
+ compare_ exp-err8 err8
+ LC_ALL=C
+ diff -u exp-err8 err8
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /home/bruno/coreutils-9.11.274-7f973/build
+ chmod -R u+rwx /home/bruno/coreutils-9.11.274-7f973/build/gt-env-signal-handler.sh.L5aX
+ rm -rf /home/bruno/coreutils-9.11.274-7f973/build/gt-env-signal-handler.sh.L5aX
+ exit 1
FAIL tests/env/env-signal-handler.sh (exit status: 1)

FAIL: tests/sort/sort-NaN-infloop
=================================

++ initial_cwd_=/home/bruno/coreutils-9.11.274-7f973/build
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/bruno/coreutils-9.11.274-7f973/build gt-sort-NaN-infloop.sh.XXXX
+++ case $# in
+++ destdir_=/home/bruno/coreutils-9.11.274-7f973/build
+++ template_=gt-sort-NaN-infloop.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/home/bruno/coreutils-9.11.274-7f973/build/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/bruno/coreutils-9.11.274-7f973/build/gt-sort-NaN-infloop.sh.qXKw
+++ case $d in
+++ :
+++ test -d /home/bruno/coreutils-9.11.274-7f973/build/gt-sort-NaN-infloop.sh.qXKw
++++ ls -dgo /home/bruno/coreutils-9.11.274-7f973/build/gt-sort-NaN-infloop.sh.qXKw
+++ perms='drwx------ 2 4096 Sep 10 08:56 /home/bruno/coreutils-9.11.274-7f973/build/gt-sort-NaN-infloop.sh.qXKw'
+++ case $perms in
+++ :
+++ echo /home/bruno/coreutils-9.11.274-7f973/build/gt-sort-NaN-infloop.sh.qXKw
+++ return
++ test_dir_=/home/bruno/coreutils-9.11.274-7f973/build/gt-sort-NaN-infloop.sh.qXKw
++ cd /home/bruno/coreutils-9.11.274-7f973/build/gt-sort-NaN-infloop.sh.qXKw
++ case $srcdir in
++ srcdir=../..
++ builddir=..
++ export srcdir builddir
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ saved_IFS=' 	
'
++ IFS=:
++ new_PATH=
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /home/bruno/coreutils-9.11.274-7f973/build/src/.
++ new_PATH=/home/bruno/coreutils-9.11.274-7f973/build/src
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /home/bruno/bin/.
++ new_PATH=/home/bruno/coreutils-9.11.274-7f973/build/src:/home/bruno/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/local/bin/.
++ new_PATH=/home/bruno/coreutils-9.11.274-7f973/build/src:/home/bruno/bin:/usr/local/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/bin/.
++ new_PATH=/home/bruno/coreutils-9.11.274-7f973/build/src:/home/bruno/bin:/usr/local/bin:/usr/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /bin/.
++ new_PATH=/home/bruno/coreutils-9.11.274-7f973/build/src:/home/bruno/bin:/usr/local/bin:/usr/bin:/bin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/local/games/.
++ new_PATH=/home/bruno/coreutils-9.11.274-7f973/build/src:/home/bruno/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/games/.
++ new_PATH=/home/bruno/coreutils-9.11.274-7f973/build/src:/home/bruno/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /sbin/.
++ new_PATH=/home/bruno/coreutils-9.11.274-7f973/build/src:/home/bruno/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/sbin
++ for dir in $PATH
++ IFS=' 	
'
++ case "$dir" in
++ test -d /usr/sbin/.
++ new_PATH=/home/bruno/coreutils-9.11.274-7f973/build/src:/home/bruno/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/sbin:/usr/sbin
++ IFS=' 	
'
++ PATH=/home/bruno/coreutils-9.11.274-7f973/build/src:/home/bruno/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/sbin:/usr/sbin
++ export PATH
++ trap remove_tmp_ EXIT
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/home/bruno/coreutils-9.11.274-7f973/build/./src
+ case $abs_path_dir_ in
+ PATH=/home/bruno/coreutils-9.11.274-7f973/build/./src:/home/bruno/coreutils-9.11.274-7f973/build/src:/home/bruno/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/sbin:/usr/sbin
+ create_exe_shims_ /home/bruno/coreutils-9.11.274-7f973/build/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ sort
+ require_built_ sort
+ skip_=no
+ for i in "$@"
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in $*
+ env sort --version
sort (GNU coreutils) 9.11.274-7f973
Copyright (C) 2026 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Haertel and Paul Eggert.
+ echo nan
+ printf 'nan\nnan\n'
+ timeout 10 sort -g -m F F
+ yes nan
+ head -n128095
+ timeout 60 sort -g
+ fail=1
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ LC_ALL=C
+ diff -u exp out
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /home/bruno/coreutils-9.11.274-7f973/build
+ chmod -R u+rwx /home/bruno/coreutils-9.11.274-7f973/build/gt-sort-NaN-infloop.sh.qXKw
+ rm -rf /home/bruno/coreutils-9.11.274-7f973/build/gt-sort-NaN-infloop.sh.qXKw
+ exit 1
FAIL tests/sort/sort-NaN-infloop.sh (exit status: 1)

Reply via email to